Get Inbox
curl --request GET \
--url https://analyst.heyhumm.ai/reports/inbox \
--header 'Authorization: Bearer <token>'import requests
url = "https://analyst.heyhumm.ai/reports/inbox"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://analyst.heyhumm.ai/reports/inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"schedule": {
"command_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cron_expression": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_run_time": "2023-11-07T05:31:56Z",
"last_run_time": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"timezone": "UTC",
"enabled": true,
"name": "<string>",
"run_mode": "per_subscriber",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"command_name": "<string>",
"command_description": "<string>",
"latest_run": {
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_email": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>",
"is_read": true,
"read_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"is_source_run": true,
"source_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_completed_summary": "<string>"
}
],
"unread_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Inbox
Get user’s reports inbox.
GET
/
reports
/
inbox
Get Inbox
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
⌘I